Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class XSDAnyURI

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseAtomicDatatype
              org.mindswap.pellet.datatypes.XSDAnyURI

All Implemented Interfaces:
  AtomicDatatype, Datatype

    public class XSDAnyURI

extends BaseAtomicDatatype
implements AtomicDatatype

Author:
  Evren Sirin

Field Summary
`static XSDAnyURI` | `instance`

Method Summary
`boolean` | `contains(java.lang.Object value)`
`AtomicDatatype` | `getPrimitiveType()`
`aterm.ATermAppl` | `getValue(int n)`
`java.lang.Object` | `getValue(java.lang.String value, java.lang.String datatypeURI)`
`boolean` | `isFinite()`

Methods inherited from class org.mindswap.pellet.datatypes.BaseAtomicDatatype
`difference, enumeration, intersection, isDerived, not, singleton, size, toString, union`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`difference, enumeration, intersection, not, union`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, getName, getURI, isEmpty, singleton, size`

Field Detail

### instance

    public static XSDAnyURI instance

Method Detail

### getPrimitiveType

    public AtomicDatatype getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `AtomicDatatype`

### getValue

    public java.lang.Object getValue(java.lang.String value,
                                     java.lang.String datatypeURI)

  Specified by:
    `getValue` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`
  Overrides:
    `contains` in class `BaseAtomicDatatype`

### isFinite

    public boolean isFinite()

### getValue

    public aterm.ATermAppl getValue(int n)

  Specified by:
    `getValue` in interface `Datatype`
  Overrides:
    `getValue` in class `BaseAtomicDatatype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.